GNU bug report logs - #48060
"make check" leaves temporary files after native-comp merge

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Kangas <stefan@HIDDEN>; dated Tue, 27 Apr 2021 14:28:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 2 May 2021 21:28:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 17:28:19 2021
Received: from localhost ([127.0.0.1]:44844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ldJdT-00011y-7s
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 17:28:19 -0400
Received: from mx.sdf.org ([205.166.94.24]:51924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1ldJdR-00011r-14
 for 48060 <at> debbugs.gnu.org; Sun, 02 May 2021 17:28:18 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 142LSEPW005166
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Sun, 2 May 2021 21:28:15 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after
 native-comp merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 <xjfczuf3bzm.fsf@HIDDEN> <87im47cywr.fsf@HIDDEN>
 <xjfzgxj1n74.fsf@HIDDEN> <8735vad6dc.fsf@HIDDEN>
 <xjfwnsmyznr.fsf@HIDDEN> <87czu9ilku.fsf@HIDDEN>
Date: Sun, 02 May 2021 21:28:14 +0000
In-Reply-To: <87czu9ilku.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 02 May 2021 10:30:57 +0200")
Message-ID: <xjfa6pcx1u9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>>> Couldn't you create this different folder inside an ert-deftest, and
>>> remove it at test-case end?
>>
>> No, Emacs needs to be able if necessary to depose .eln files even before
>> a test is run (this is not specific to native-comp tests), and given we
>> set HOME to a non existent directory the conventional
>> "~/.emacs.d/eln-cache" can't be used.
>
> I don't quite understand how this precludes us from specifying a
> directory under test/ for the .eln files?  I.e., 
>
> HOME=/nonexistent ELN_DIR=test/cache-dir emacs ...

I agree, these are just to different cases, specifying one single
directory is certainly possible, doing it test by test inside
ert-deftest makes me a little more skeptical :)

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 2 May 2021 08:31:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 04:31:09 2021
Received: from localhost ([127.0.0.1]:41472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ld7VN-0007DM-K4
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 04:31:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1ld7VL-00076v-Bx
 for 48060 <at> debbugs.gnu.org; Sun, 02 May 2021 04:31:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ju/Tzh9cQpZs2Bi+xeE+omkHo7KuBv9St/6mvNiXSi8=; b=tldV/qY4GistDYl6uNyp4/UkmB
 P1m1Yy3/6QrjX7vzGoMcp3PsdqdRT99+HJ7u3G+M1om8dVo3/JxBaGdynQHe7s/M9tbwYhC4fqC6t
 TQztFrl9+E7nI4YvzDygOAQrs+YbM2qDk3BZQhKrHNlv3F2vCuodOUe0KeU8q86+sSzk=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1ld7VB-0004Nw-N8; Sun, 02 May 2021 10:31:01 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after
 native-comp merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 <xjfczuf3bzm.fsf@HIDDEN> <87im47cywr.fsf@HIDDEN>
 <xjfzgxj1n74.fsf@HIDDEN> <8735vad6dc.fsf@HIDDEN>
 <xjfwnsmyznr.fsf@HIDDEN>
X-Now-Playing: Zola Jesus's _Burial Hex - Zola Jesus_: "Julius & Ethel"
Date: Sun, 02 May 2021 10:30:57 +0200
In-Reply-To: <xjfwnsmyznr.fsf@HIDDEN> (Andrea Corallo's message of "Wed, 28
 Apr 2021 19:31:04 +0000")
Message-ID: <87czu9ilku.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andrea Corallo <akrl@HIDDEN> writes: >> Couldn't you create
 this different folder inside an ert-deftest, and >> remove it at test-case
 end? > > No, Emacs needs to be able if necessary to depose .eln files even
 before > a test is run (thi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>,
 Michael Albinus <michael.albinus@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

>> Couldn't you create this different folder inside an ert-deftest, and
>> remove it at test-case end?
>
> No, Emacs needs to be able if necessary to depose .eln files even before
> a test is run (this is not specific to native-comp tests), and given we
> set HOME to a non existent directory the conventional
> "~/.emacs.d/eln-cache" can't be used.

I don't quite understand how this precludes us from specifying a
directory under test/ for the .eln files?  I.e., 

HOME=/nonexistent ELN_DIR=test/cache-dir emacs ...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 28 Apr 2021 19:31:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 15:31:07 2021
Received: from localhost ([127.0.0.1]:54112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbptq-0006mY-PQ
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 15:31:06 -0400
Received: from mx.sdf.org ([205.166.94.24]:55465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lbptp-0006mR-Ns
 for 48060 <at> debbugs.gnu.org; Wed, 28 Apr 2021 15:31:06 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13SJV4Rr024678
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 28 Apr 2021 19:31:05 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after
 native-comp merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 <xjfczuf3bzm.fsf@HIDDEN> <87im47cywr.fsf@HIDDEN>
 <xjfzgxj1n74.fsf@HIDDEN> <8735vad6dc.fsf@HIDDEN>
Date: Wed, 28 Apr 2021 19:31:04 +0000
In-Reply-To: <8735vad6dc.fsf@HIDDEN> (Michael Albinus's message of "Wed, 28
 Apr 2021 12:57:03 +0200")
Message-ID: <xjfwnsmyznr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> Hi Michael,
>
> Hi Andrea,
>
>> the issue is that here is not really the test function that is creating
>> this folder, but Emacs it-self that to operate needs a folder to store
>> and retrieve eln files.
>
> I know.
>
>> For the test-suite we moved to a different folder than the one we use
>> for normal runs to have a clean environment to run the test-suite on.
>
> Couldn't you create this different folder inside an ert-deftest, and
> remove it at test-case end?

No, Emacs needs to be able if necessary to depose .eln files even before
a test is run (this is not specific to native-comp tests), and given we
set HOME to a non existent directory the conventional
"~/.emacs.d/eln-cache" can't be used.

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 28 Apr 2021 10:57:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 06:57:18 2021
Received: from localhost ([127.0.0.1]:51827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbhsb-0008KQ-Of
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 06:57:17 -0400
Received: from mout.gmx.net ([212.227.17.22]:54995)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lbhsX-0008KB-Uo
 for 48060 <at> debbugs.gnu.org; Wed, 28 Apr 2021 06:57:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1619607427;
 bh=4exKRH06Knr45J08Ann/xKoRxR703pomtAb3jR8Gq+s=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=VAyc4n9K5YCw6XwMc1Y6UEc5EAVAFcF+sk2Kfxmtdl9kBJnNAfbHYyPj0toaUOCLi
 80F1L8UVqeEglOwGXflw6NENhDLn1gcGxPvakRQyA88rPsqPnWaVkrK+14gAiBN1ga
 RRLJjfPfgg/KKhYwU7q3WVTQx5Mz7wWhVGyvLPHw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([213.220.147.93]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MhU5b-1l7Ig53wqh-00ebbA; Wed, 28
 Apr 2021 12:57:07 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after
 native-comp merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 <xjfczuf3bzm.fsf@HIDDEN> <87im47cywr.fsf@HIDDEN>
 <xjfzgxj1n74.fsf@HIDDEN>
Date: Wed, 28 Apr 2021 12:57:03 +0200
In-Reply-To: <xjfzgxj1n74.fsf@HIDDEN> (Andrea Corallo's message of "Tue, 27
 Apr 2021 20:34:23 +0000")
Message-ID: <8735vad6dc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:xg0tS5T2qBJso7lhsopi57yLfjB3rPB5yaHHnRl+c+KsPW0Y7WP
 YdXbAsfVTByPSBuzpRf6hNNS+gT99ep5a4Yz9Y2EXKCVFzA47pojMbgxAb8PO8v+33TGSWe
 qvOH887PBSm6Z2qHm5pM+AW9YbhK3aw2BfIMw/RvlTSUC9gCdtn/AzWN8fxlrkZbU2I/f+g
 tBlwxGLdnpICwXIGIYV5w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:JedQmqi3lDw=:+28s/c5atsVZl8wCce/4ZK
 f+8hg7iILFNHTTCnLE47KSUdV5dswfVVYeOeOtdoaSKALSRoBVXS1QHW/IB9KIHULR+bqJ3sa
 8ILgqF4a8u1Fbz7lJGS+gU/OcPhePI7lj6gi/CsZJt+6ayDJddo66rsRVYhtkt7uyeXAME3dH
 e7OehsM19RGrqxOPMQsPBQoMchsnOSvUG6V2wBRDNr+Gl7m3XAohr3BKtWpQRkCXJmYEgwWxW
 dw5lbLxJQDZm4qHM1/WvS0+ulDARO9T3BaYPdDOZnKLWbko3Wywo0L+886ODRd8/VX05OjtOz
 HV8q8m+RumKAYEnpFluHtZUNFBPxM9+e4OtO15K3toIGG5k0l44HBUCeKYtQJTaoEZGs7GnT+
 4RNbGmOi9mlW3Boyv0fZDbfUCpoZnglNEb8db4x3YBdF9jLcojurwqlDcnqGPoXNCwM5kRljA
 PzIopbLtPRj3S9vvdPYpDyzUUnkdSk2O0Vqa8z+BPKLHCKTqu/jlOuW95lyIfcViMNc/KmCQV
 ow606JFne03jVRYhBmTqJRyVrr9+gewo7q3qthJ9ZF4slpgXFv5is98RJDFjFF7WhnakrNEfW
 A6tI9TKBzu+GldLGaXJyhDhFTJs2ePymVgDN+q5MyPTDLOKjFPreGBINDy7T5q+wI1tTtFg0n
 JABX3KyzEO9Nd0ZmypgG5C5MBnHzTvn/PjXvb/L4rAYV7dGcQ5hcbxIbOJq24qJ+rwey1CR4u
 q8mG99wYaxKnv/4ejs0xVEps+Wi0Ua01kYm8oiYV7Lft0gYpT2YNyHYL4TCa1EZYYDzZ90PsK
 n4EqIFNu9E16VS8PtJwh/6Ziv1r58tsvpSLcX2atq2oIJsb0pM+Zw/uQpjGufoAfk16HEF5Pb
 oaNoD7GtGaMIpz9yTjrFBUH2jTACsUjoxePRN9ROw6AHC2actxpMMiFPqMRkQCWuJ3cKf3Z2K
 Qgp9CwzDfReqifvFmw1a8BGFZGt1RNLksKJRPNXeZkoOYMruDzcHhlIP+LDHJEXyOkZ/QLNbI
 hvGxlvvqPm9pi47yCp2XHRGATksGSoferubiDBzDgw8Yf5wPHcdGLpSgrlCCUk7Pg9h4+e0b3
 vtbCmUJL5kLSK+k2TGI0RxFlCoaSvl801PQfTyC0C3AOfxfEkJ0YGfiVesVeuoT0WvGpnmwJg
 v4LbRCyyAj+0zanWSGezsHlnN3agbe4E8UpIs0zRdx93XOlHjYJ3sQCuhOkY5q9NKOXOl9wbq
 +AnRVav92mlm5JngF
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Andrea Corallo <akrl@HIDDEN> writes:

> Hi Michael,

Hi Andrea,

> the issue is that here is not really the test function that is creating
> this folder, but Emacs it-self that to operate needs a folder to store
> and retrieve eln files.

I know.

> For the test-suite we moved to a different folder than the one we use
> for normal runs to have a clean environment to run the test-suite on.

Couldn't you create this different folder inside an ert-deftest, and
remove it at test-case end?

> Regards
>
>   Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 27 Apr 2021 21:36:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 17:36:43 2021
Received: from localhost ([127.0.0.1]:51137 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbVNr-0000L8-Dv
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 17:36:43 -0400
Received: from mx.sdf.org ([205.166.94.24]:50827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lbVNp-0000Kz-6P
 for 48060 <at> debbugs.gnu.org; Tue, 27 Apr 2021 17:36:42 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13RLacr7027323
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 27 Apr 2021 21:36:39 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after
 native-comp merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 <xjfczuf3bzm.fsf@HIDDEN> <83tunrhbq5.fsf@HIDDEN>
Date: Tue, 27 Apr 2021 21:36:38 +0000
In-Reply-To: <83tunrhbq5.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 27 Apr
 2021 20:35:30 +0300")
Message-ID: <xjfr1iv1kbd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: 48060 <at> debbugs.gnu.org
>> Date: Tue, 27 Apr 2021 16:53:33 +0000
>> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>> 
>> I guess the correct way to do it would be in the Makefile when tests are
>> done, am I correct?
>> 
>> The other option would be to have Emacs to clean-up this directory
>> before exiting, but in case of a crash it wouldn't work.
>
> We usually do the latter.  Crashes in the test suite should be rare.

Right, c62262736c using `kill-emacs-hook' should do the clean-up for all
non crashing sessions.

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 27 Apr 2021 20:34:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 16:34:28 2021
Received: from localhost ([127.0.0.1]:51023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbUPb-0007HV-Pt
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 16:34:28 -0400
Received: from mx.sdf.org ([205.166.94.24]:60388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lbUPZ-0007HM-4k
 for 48060 <at> debbugs.gnu.org; Tue, 27 Apr 2021 16:34:26 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13RKYNe8017475
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 27 Apr 2021 20:34:23 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after
 native-comp merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 <xjfczuf3bzm.fsf@HIDDEN> <87im47cywr.fsf@HIDDEN>
Date: Tue, 27 Apr 2021 20:34:23 +0000
In-Reply-To: <87im47cywr.fsf@HIDDEN> (Michael Albinus's message of "Tue, 27
 Apr 2021 21:25:56 +0200")
Message-ID: <xjfzgxj1n74.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <bug-gnu-emacs@HIDDEN> writes:
>
> Hi Andrea,
>
>>> The content of one of these directories is:
>>>
>>>   emacs-testsuite-xdgMCK
>>>   =E2=94=94=E2=94=80=E2=94=80 28.0.50-d25e21f7
>>>       =E2=94=94=E2=94=80=E2=94=80 subr--trampoline-63616c6c2d70726f6365=
7373_call_process_0.eln
>>>
>>>   1 directory, 1 file
>>>
>>> Others are empty:
>>>
>>>   emacs-testsuite-1HQfjD
>>>
>>>   0 directories, 0 files
>>>
>>> Every time I run "make -j8 check", I get another 584 of these directori=
es.
>>>
>>> Could we do something to ensure these directories are always deleted?
>>
>> I guess the correct way to do it would be in the Makefile when tests are
>> done, am I correct?
>>
>> The other option would be to have Emacs to clean-up this directory
>> before exiting, but in case of a crash it wouldn't work.
>
> Not an Emacs cleanup. Usually, test functions are responsible for their
> own cleanup. You could put the whole test body in an unwind-protect
> bodyform, and perform the cleanup in one of the unwindforms.

Hi Michael,

the issue is that here is not really the test function that is creating
this folder, but Emacs it-self that to operate needs a folder to store
and retrieve eln files.

For the test-suite we moved to a different folder than the one we use
for normal runs to have a clean environment to run the test-suite on.

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 27 Apr 2021 19:26:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 15:26:08 2021
Received: from localhost ([127.0.0.1]:50963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbTLU-0005ds-AM
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 15:26:08 -0400
Received: from mout.gmx.net ([212.227.15.18]:45399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lbTLS-0005dO-IS
 for 48060 <at> debbugs.gnu.org; Tue, 27 Apr 2021 15:26:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1619551560;
 bh=uuhrgP74u+zkCxLxjSs6RsgN0zezX2WDCdOOstq25S8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=iuAYjFo2mKcHSNNMrzNm21g1vcpdHbH+CbbcQ9t4qtn4GI+XZWU4MsQev0aM+4SB1
 TKXZioakl2sRqg8ngrgjPCVqoj4orATxWkB0pwf5TPmyGoueO0AvJNp9zjYkfQ/bh5
 7b4Gr8kxIFKgaeadknt7oNf1aoIR3hwcv0vNrsdQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.54.40]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MEm2D-1lnHzg3dud-00GKbK; Tue, 27
 Apr 2021 21:26:00 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after
 native-comp merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 <xjfczuf3bzm.fsf@HIDDEN>
Date: Tue, 27 Apr 2021 21:25:56 +0200
In-Reply-To: <xjfczuf3bzm.fsf@HIDDEN> (Andrea Corallo via's message of "Tue, 
 27 Apr 2021 16:53:33 +0000")
Message-ID: <87im47cywr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:wjzgu73CGVvWEQE4EYtULNAChuLqIPvdn+BvJ0ML7c1KMUYuG1/
 kYEZ+lbJ3reQec6rmaPLz/i1ARbwsYXeI/m3MrjhpRBHCrTyln0tQlSxH9TvdT24xjbyQa+
 D7/K2NnHfpcs6JA9nnqEdLy0OsPpxztwguJzGF6fJGylxCBXN0wxmoeIJmvcZAKuHPSi17R
 QA3O0OA2kJaWgWQgRPRzQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ToOY8e9IjSM=:FIGhdej3UwXZ2HHpnTpJYt
 nKxav3LJXclVV8vxcqlbR/p0XujFCT78hc3Ek2mJTHFGEm1iHtjSrUyX0f5dQ07lur6FwN0Fl
 qSa3hE8XjBqWxJwpAINZKaEY9VVH29RFEa39rkytw0OvhUuzeH6y5U9nV7t5WRqSRpZVLYj/x
 H928dMgzAuLL7z3uLRLZAcc9DCULdJ1+3KzJ+k6dd/rNoxPHlPLgGZiU6U+XNrQVUsmColNkR
 lG0fwlIwTrICSKgoYU0Kw2JZd824PfgsVRbbH3jsQw6NLvHeWFGmOaBG4GWOHfkEitrFAbCvd
 ZexElNS/GzOMRKhHEm7i7r8FJ5w2ax4CCAA6dtdZ+JmZCQ+6MCZUOZptfzw4hrgi9PBewKMtz
 IeCofcY+OMxPO71OtN9ez7ODgMttBSW6vWeyR9hq9WUf4FrZ5cit+UY0apfsew5on6bE3EVYG
 lR8bKXSKcLkQW+WHqdExXM+92+J5HcKATe2hRvLgbBophsLqa01x+tM5Te4lcAbtwd4VjS4xf
 ePYe858mO4TPwc6BSxrZLb+H6PeN6G27Ry8BcoAyEuMoVN73oPGvyxH+c/w6oOUJqXicVFf3n
 6m/NEH9v4TlL9rlI0hw/ZojnfjlCSj2r+5AGWeEvjwG5pWpsVPCWHDIPz6bVdMr3Vx2bpo2Lf
 qiIG5tNRctt8ryPSwnw2/Yzh3Te5t8Te4ex0h6FHuo97a0koryawq/XOcDACn9yh7WrTnxSyM
 jkjDqFaU3Kz+FKrO3TxoGTobdjOMUWd5QbD2W+k3/ok3rupTAg7DISVULfTNOo9Ud3Q4xSCtO
 uzY4Ofu0wuMApaXe0VdIamfe0kP4oalcuzVBpY7KandisMfTfULSA4i0wif3RJ3swwy5NHM0V
 AXNGPcf0a63Tsv7Xc2EJVOUMKXZ65Bu3rSqUW+irnFu1zDYZX5z6HKmgqmVOBpcnRN8ixs1Lp
 29U0+P+QPBFZqQb9jLbciP5Yfl6tf2Xh4C52Q1sL5NI5ahyEoRroeFrbXLm5CZSymmaFdLiqB
 CZSQrf6J32unWVywbP/vzSID8FB+2utRQFltbh7ynAofclWwE0K/sEzk2qm5oKUKQruXpcEzJ
 g7pGsOQns3EarLMgeQ21VhJfA3IevwdjU19wo4G8yGjUCekPRyFw5sYOoWgVdZybIRdKBNtNK
 Wwgvl8BTjoT9pc4Kos7VVxKIsvNm57xrSV1sPWQdCQdOBxGGOjx7OqgygLWVAz5PHCC1Q3i2j
 VBN1QSNYjZkpw4iff
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

Hi Andrea,

>> The content of one of these directories is:
>>
>>   emacs-testsuite-xdgMCK
>>   =E2=94=94=E2=94=80=E2=94=80 28.0.50-d25e21f7
>>       =E2=94=94=E2=94=80=E2=94=80 subr--trampoline-63616c6c2d70726f63657=
373_call_process_0.eln
>>
>>   1 directory, 1 file
>>
>> Others are empty:
>>
>>   emacs-testsuite-1HQfjD
>>
>>   0 directories, 0 files
>>
>> Every time I run "make -j8 check", I get another 584 of these directorie=
s.
>>
>> Could we do something to ensure these directories are always deleted?
>
> I guess the correct way to do it would be in the Makefile when tests are
> done, am I correct?
>
> The other option would be to have Emacs to clean-up this directory
> before exiting, but in case of a crash it wouldn't work.

Not an Emacs cleanup. Usually, test functions are responsible for their
own cleanup. You could put the whole test body in an unwind-protect
bodyform, and perform the cleanup in one of the unwindforms.

>   Andrea

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 27 Apr 2021 17:35:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 13:35:55 2021
Received: from localhost ([127.0.0.1]:50814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbRcp-0002tm-Ga
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 13:35:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lbRcn-0002tZ-5V
 for 48060 <at> debbugs.gnu.org; Tue, 27 Apr 2021 13:35:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55154)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lbRcf-00043e-Is; Tue, 27 Apr 2021 13:35:45 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1558
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lbRce-0004YD-NN; Tue, 27 Apr 2021 13:35:45 -0400
Date: Tue, 27 Apr 2021 20:35:30 +0300
Message-Id: <83tunrhbq5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfczuf3bzm.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#48060: "make check" leaves temporary files after native-comp
 merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 <xjfczuf3bzm.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, stefan@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 48060 <at> debbugs.gnu.org
> Date: Tue, 27 Apr 2021 16:53:33 +0000
> From:  Andrea Corallo via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> I guess the correct way to do it would be in the Makefile when tests are
> done, am I correct?
> 
> The other option would be to have Emacs to clean-up this directory
> before exiting, but in case of a crash it wouldn't work.

We usually do the latter.  Crashes in the test suite should be rare.

> The last option would be to convince `make-temp-file' we call at
> startup.el:553 to create the directory in "/tmp/" or equivalent (not
> sure that's possible).

That's only a good solution on platforms where /tmp is periodically
cleaned up, or even disappears when the user logs off.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 27 Apr 2021 16:53:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 12:53:38 2021
Received: from localhost ([127.0.0.1]:50757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbQxu-00084J-L0
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 12:53:38 -0400
Received: from mx.sdf.org ([205.166.94.24]:50954)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1lbQxq-000847-Rt
 for 48060 <at> debbugs.gnu.org; Tue, 27 Apr 2021 12:53:37 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 13RGrX3O017093
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 27 Apr 2021 16:53:33 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after
 native-comp merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
Date: Tue, 27 Apr 2021 16:53:33 +0000
In-Reply-To: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 (Stefan Kangas's message of "Tue, 27 Apr 2021 09:27:21 -0500")
Message-ID: <xjfczuf3bzm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> After some iterations of running of "make -j8 bootstrap && make -j8
> check", my ~/src/emacs is filled with a lot of temporary directories:
>
>   drwx------  2 skangas skangas 4.0K 2021-04-27 03:50 emacs-testsuite-0B1=
nPY
>   drwx------  2 skangas skangas 4.0K 2021-04-26 12:01 emacs-testsuite-0Ei=
8cf
>   drwx------  2 skangas skangas 4.0K 2021-04-27 03:50 emacs-testsuite-0G4=
0w3
>   drwx------  2 skangas skangas 4.0K 2021-04-27 02:59 emacs-testsuite-0Gc=
jNo
>   drwx------  2 skangas skangas 4.0K 2021-04-27 02:43 emacs-testsuite-0Gw=
mf7
>   drwx------  2 skangas skangas 4.0K 2021-04-26 20:24 emacs-testsuite-0HY=
LcF
>   drwx------  2 skangas skangas 4.0K 2021-04-27 03:49 emacs-testsuite-0Iy=
0yX
>   drwx------  2 skangas skangas 4.0K 2021-04-26 12:01 emacs-testsuite-0Jp=
gU6
>
> I actually have 2922 of these directories.
>
> The content of one of these directories is:
>
>   emacs-testsuite-xdgMCK
>   =E2=94=94=E2=94=80=E2=94=80 28.0.50-d25e21f7
>       =E2=94=94=E2=94=80=E2=94=80 subr--trampoline-63616c6c2d70726f636573=
73_call_process_0.eln
>
>   1 directory, 1 file
>
> Others are empty:
>
>   emacs-testsuite-1HQfjD
>
>   0 directories, 0 files
>
> Every time I run "make -j8 check", I get another 584 of these directories.
>
> Could we do something to ensure these directories are always deleted?

I guess the correct way to do it would be in the Makefile when tests are
done, am I correct?

The other option would be to have Emacs to clean-up this directory
before exiting, but in case of a crash it wouldn't work.

The last option would be to convince `make-temp-file' we call at
startup.el:553 to create the directory in "/tmp/" or equivalent (not
sure that's possible).

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at 48060 <at> debbugs.gnu.org:


Received: (at 48060) by debbugs.gnu.org; 27 Apr 2021 15:15:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 11:15:42 2021
Received: from localhost ([127.0.0.1]:50555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbPR8-0005Mg-57
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 11:15:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1lbPR6-0005MR-4o
 for 48060 <at> debbugs.gnu.org; Tue, 27 Apr 2021 11:15:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52175)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1lbPR0-0004aJ-M6; Tue, 27 Apr 2021 11:15:34 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1lbPQp-00069N-LU; Tue, 27 Apr 2021 11:15:31 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#48060: "make check" leaves temporary files after native-comp
 merge
References: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
X-Attribution: GM
Date: Tue, 27 Apr 2021 11:15:23 -0400
In-Reply-To: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
 (Stefan Kangas's message of "Tue, 27 Apr 2021 09:27:21 -0500")
Message-ID: <j8y2d3kbck.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48060
Cc: 48060 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas wrote:

> After some iterations of running of "make -j8 bootstrap && make -j8
> check", my ~/src/emacs is filled with a lot of temporary directories:
>
>   drwx------  2 skangas skangas 4.0K 2021-04-27 03:50 emacs-testsuite-0B1nPY

As predicted in https://debbugs.gnu.org/47138#28 ?
(I see that report is still open, BTW. Not saying it should be merged.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Apr 2021 14:27:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 10:27:26 2021
Received: from localhost ([127.0.0.1]:50469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbOgQ-0001z0-LN
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 10:27:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:35248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lbOgO-0001yp-Ln
 for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 10:27:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44310)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1lbOgO-0007R1-El
 for bug-gnu-emacs@HIDDEN; Tue, 27 Apr 2021 10:27:24 -0400
Received: from mail-pj1-f41.google.com ([209.85.216.41]:39739)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1lbOgM-0002h4-ST
 for bug-gnu-emacs@HIDDEN; Tue, 27 Apr 2021 10:27:24 -0400
Received: by mail-pj1-f41.google.com with SMTP id
 gq23-20020a17090b1057b0290151869af68bso7190369pjb.4
 for <bug-gnu-emacs@HIDDEN>; Tue, 27 Apr 2021 07:27:22 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:date:message-id:subject:to
 :content-transfer-encoding;
 bh=e6x23kPWYwAS2L1VEcJKOwPElmd60K+ZQSfZu0+lWY4=;
 b=OVE2oAqr+uqBCCmVChrzDb+2Ks9ysYhIbF1O+he1RbZwAqYlmJSdFqJ4/2MPunFTNK
 J9GgjHmXQdeh2hXi9I0rIt3RYkZte8h+1Gr3OiwR5L6oqsJp2Lo7ftq1L0TU0I/twD4d
 wbbGok4m8tQrsWilqYjA3+8J8OUYQHoJJuBd1aaUE++ePvcTG0GuWvIW/SrH5AmyAsuW
 fplcSAQgIK5W/+dmU3qqyLA7iUeOiRrc2PFN69Rudf3nZrvuYrBVwuJj0q2jWdl0NaoA
 0Hw33uY525dHwM+b4YeKnuAK2a7wwHeUm+eMug2Mb9FKy+CnvfdzFO/kFV9BStzxLZrs
 Vcaw==
X-Gm-Message-State: AOAM531phefZk6Qu8matURcQKDfGhu+qtCVp4tRH8GcD1JMdlOrzGoFL
 LOZ6u1lZEAitzO718Zuv2QEebIEn1iaz+mfl2ngN/JPe
X-Google-Smtp-Source: ABdhPJzdXw/hVz5IwMev4MnC8bKEUHIyBKlUUcTO0sRe+O948+R/eE8Cy1yyigBVM1XYDYyT6smLaEaSm5/OrbXu5wA=
X-Received: by 2002:a17:902:e788:b029:eb:2c5b:bce8 with SMTP id
 cp8-20020a170902e788b02900eb2c5bbce8mr24893147plb.41.1619533641434; Tue, 27
 Apr 2021 07:27:21 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 27 Apr 2021 09:27:21 -0500
From: Stefan Kangas <stefan@HIDDEN>
X-Debbugs-CC: Andrea Corallo <akrl@HIDDEN>
MIME-Version: 1.0
Date: Tue, 27 Apr 2021 09:27:21 -0500
Message-ID: <CADwFkmmzmT3bfmaKE357Lgs6CN-1m44eNEwROaMZqqmAS7YoDA@HIDDEN>
Subject: "make check" leaves temporary files after native-comp merge
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=209.85.216.41;
 envelope-from=stefankangas@HIDDEN; helo=mail-pj1-f41.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

After some iterations of running of "make -j8 bootstrap && make -j8
check", my ~/src/emacs is filled with a lot of temporary directories:

  drwx------  2 skangas skangas 4.0K 2021-04-27 03:50 emacs-testsuite-0B1nP=
Y
  drwx------  2 skangas skangas 4.0K 2021-04-26 12:01 emacs-testsuite-0Ei8c=
f
  drwx------  2 skangas skangas 4.0K 2021-04-27 03:50 emacs-testsuite-0G40w=
3
  drwx------  2 skangas skangas 4.0K 2021-04-27 02:59 emacs-testsuite-0GcjN=
o
  drwx------  2 skangas skangas 4.0K 2021-04-27 02:43 emacs-testsuite-0Gwmf=
7
  drwx------  2 skangas skangas 4.0K 2021-04-26 20:24 emacs-testsuite-0HYLc=
F
  drwx------  2 skangas skangas 4.0K 2021-04-27 03:49 emacs-testsuite-0Iy0y=
X
  drwx------  2 skangas skangas 4.0K 2021-04-26 12:01 emacs-testsuite-0JpgU=
6

I actually have 2922 of these directories.

The content of one of these directories is:

  emacs-testsuite-xdgMCK
  =E2=94=94=E2=94=80=E2=94=80 28.0.50-d25e21f7
      =E2=94=94=E2=94=80=E2=94=80 subr--trampoline-63616c6c2d70726f63657373=
_call_process_0.eln

  1 directory, 1 file

Others are empty:

  emacs-testsuite-1HQfjD

  0 directories, 0 files

Every time I run "make -j8 check", I get another 584 of these directories.

Could we do something to ensure these directories are always deleted?




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to akrl@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to akrl@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#48060; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 2 May 2021 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.